package org.equinoxosgi.simona.internal.app;

import org.equinoxosgi.simona.big.IBig;

public class Application extends Object {
  private IBig big;

  public void bind(IBig big) {
    System.out.println("Application::bind(IBig)");
    this.big = big;
  }

  public void start() {
    System.out.println("Application::start()");
    big.foo();
  }

  public void stop() {
    System.out.println("Application::stop()");
  }

  public void unbind(IBig big) {
    if (this.big != big)
      return;
    System.out.println("Application::unbind(IBig)");
    this.big = null;
  }
}
